Bug 475861 - Review Request: gnustep-gui - The GNUstep gui library
Review Request: gnustep-gui - The GNUstep gui library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
: 523371 (view as bug list)
Depends On: 475852
Blocks: 476056
  Show dependency treegraph
 
Reported: 2008-12-10 15:32 EST by Jochen Schmitt
Modified: 2010-07-13 19:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-17 14:46:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-12-10 15:32:19 EST
Spec URL: http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui.spec
SRPM URL: http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui-0.14-1.fc10.src.rpm
Description: 
The GNUstep gui Library is a powerful library of graphical user interface
classes written completely in the Objective-C language; the classes are
based upon the OpenStep specification, and provide the user with a
traditional nextstep-like look and feel.  The classes include graphical
objects such as windows, menus, buttons, text fields, popup lists, browsers,
scrollviews, splitviews, fonts, colors, images, events, pasteboards,... This
package includes development headers too.  You need the corresponding
backend library package (gnustep-back) to use this package.
Comment 1 Jochen Schmitt 2008-12-11 13:33:38 EST
I have done some rework related to the BuildRequires:

Spec URL: http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui-0.14-2.fc10.src.rpm
Comment 2 Jason Tibbitts 2008-12-12 20:34:37 EST
The SRPM link above is not valid.
Comment 3 Jochen Schmitt 2008-12-14 14:12:36 EST
I have uploaded the SRPM again. I hope, it's works fine now.
Comment 4 Michel Alexandre Salim 2009-09-15 04:19:37 EDT
I forgot that you're already working on packaging this too. I just finished packaging up a separate packaging of gnustep-gui, and we should definitely merge the effort -- do you want to be the primary maintainer, in which case I'll review yours, or the other way around?

https://bugzilla.redhat.com/show_bug.cgi?id=523371

(once we decide, we'll make one bug request a duplicate of the other)
Comment 5 Jochen Schmitt 2009-09-24 16:47:37 EDT
Because we have a new gnustep-make package and a approve gnustep-base package, I have create a new release of tnustep-gui.

Next Release:
Spec URL: http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui-0.14-2.fc11.src.rpm
Comment 6 Michel Alexandre Salim 2009-09-24 21:02:04 EDT
*** Bug 523371 has been marked as a duplicate of this bug. ***
Comment 7 Michel Alexandre Salim 2009-09-24 21:26:52 EDT
SRPM needs to be updated, spec is at 0.16-2

MUST

? rpmlint
  SRPM not available yet
OK package name
OK spec file name
OK package guideline-compliant
OK license complies with guidelines
FIX license field accurate
  some files, e.g. Tools/gclose.m and many other Tools/, are GPLv3+
  some files are LGPLv3+:

$ grep -rl "version 3" `grep -rl "GNU Lesser" *`
configure.ac
COPYING
Headers/Additions/GNUstepGUI/GSVersion.h.in
Source/NSMenuItem.m
Source/tiff.m

  Perhaps separate the library into a separate -libs subpackage, which can
  then be LGPLv2+ and LGPLv3+, and the rest can then be GPLv2+ and GPLv3+?

  (see Documentation/readme.texi)

  -doc subpackage should be GFDL. The license file, Documentation/manual/LICENSE
  should be included in %files doc. Also, %{_datadir}/GNUstep/Documentation/*
  should be marked as %doc as well.



OK license file not deleted
OK spec in US English
FIX spec legible
  "gui" in summary and descriptions should perhaps be capitalized
? source matches upstream
  SRPM not available
• builds under >= 1 archs, others excluded
OK build dependencies complete
  can drop gnustep-make, as gnustep-base-devel requires it
OK library -> ldconfig
OK own all directories
OK no dupes in %files
• permission
OK %clean RPM_BUILD_ROOT
OK macros used consistently
OK Package contains code
OK large docs => -doc
OK doc not runtime dependent
OK headers in -devel
OK if contains *.pc, req pkgconfig
  GNUstep variation: if containing Makefiles, req gnustep-make
OK if libfiles are suffixed, the non-suffixed goes to devel
OK devel requires versioned base package
  note: does not need gnustep-make directly, but it's OK to be explicit
OK clean buildroot before install
OK filenames UTF-8

SHOULD
FIX if license text missing, ask upstream to include it
  license file for LGPLv3+ and GPLv2+ missing
• package build in mock on all architectures
• package functioned as described
OK scriplets are sane
OK other subpackages should require versioned base
OK require package not files

Summary:
Comment 9 Michel Alexandre Salim 2009-09-28 15:19:44 EDT
Correct URL:
http://www.herr-schmitt.de/pub/gnustep-gui/gnustep-gui-0.16.0-3.fc11.src.rpm

FIX rpmlint

$ rpmlint ./x86_64/gnustep-gui*0.16.0-3*
gnustep-gui-devel.x86_64: W: no-documentation
gnustep-gui-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libgnustep-gui.so.0.16.0 exit@GLIBC_2.2.5

this is unusual, but probably ok

4 packages and 0 specfiles checked; 0 errors, 2 warnings.
[michel@erdos RPMS]$ rpmlint ./noarch/gnustep-gui*0.16.0-3*
gnustep-gui-doc.noarch: E: postin-without-install-info /usr/share/info/AppKit.info.gz
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

==> add another install-info line for AppKit.info

OK source matches upstream

$ sha1sum SRPMS/gnustep-gui-0.16.0.tar.gz SOURCES/gnustep-gui-0.16.0.tar.gz 
cc0a14f700a3736b8e4113d3ad80ed6f979d60be  SRPMS/gnustep-gui-0.16.0.tar.gz
cc0a14f700a3736b8e4113d3ad80ed6f979d60be  SOURCES/gnustep-gui-0.16.0.tar.gz


FIX build ought to be verbose (I missed this for gnustep-base too, the same fix
    applies)
  add the flag 'messages=yes' to the invocation of make



Several trivial fixes:
- summary and description (base and doc) should say GUI not gui
  ==> copy newer description from README; this is fixed upstream
- library and devel subpackages: "Package" should not be capitalized
- library and devel subpackages have very short descriptions
Comment 11 Michel Alexandre Salim 2009-09-29 13:47:27 EDT
Changes look good. APPROVED.

-back to go, and then it's time for me to polish up the Etoile spec :)
Comment 12 Jochen Schmitt 2009-10-13 12:16:58 EDT
New Package CVS Request
=======================
Package Name: gnustep-gui
Short Description: The GNUstep gui library
Owners: s4504kr
Branches: devel, F-12, F-11, F-10
InitialCC:
Comment 13 Kevin Fenzi 2009-10-13 12:24:47 EDT
cvs done.
Comment 14 Jochen Schmitt 2009-11-17 14:46:21 EST
Packages built and pushed.
Comment 15 Jochen Schmitt 2010-07-13 13:17:05 EDT
Package Change Request
======================
Package Name: gnustep-gui
New Branches: EL-6
Owners: s4504kr
Comment 16 Kevin Fenzi 2010-07-13 19:16:56 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.